Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetQueryDetailsResponse.Column

    java.lang.Object
      org.labkey.remoteapi.ResponseObject
          org.labkey.remoteapi.query.GetQueryDetailsResponse.Column

Enclosing class:
  GetQueryDetailsResponse

    public static class GetQueryDetailsResponse.Column

extends ResponseObject

Field Summary

Fields inherited from class org.labkey.remoteapi.ResponseObject
`_allProperties`

Method Summary
`java.lang.String` | `getCaption()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getFieldKey()`
`GetQueryDetailsResponse.Lookup` | `getLookup()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()`
`java.lang.String` | `getType()`
`boolean` | `isAutoIncrement()`
`boolean` | `isHidden()`
`boolean` | `isKeyField()`
`boolean` | `isMvEnabled()`
`boolean` | `isNullable()`
`boolean` | `isReadOnly()`
`boolean` | `isSelectable()`
`boolean` | `isUserEditable()`
`boolean` | `isVersionField()`

Methods inherited from class org.labkey.remoteapi.ResponseObject
`getAllProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of the column

### getDescription

    public java.lang.String getDescription()

  Returns:
    An optional description of the column

### getType

    public java.lang.String getType()

  Returns:
    The column's data type

### getFieldKey

    public java.lang.String getFieldKey()

  Returns:
    The field key for the column. If this column comes from a foreign table, the key is a full path from the source query to this column.

### isAutoIncrement

    public boolean isAutoIncrement()

  Returns:
    true if this column is auto-increment

### isHidden

    public boolean isHidden()

  Returns:
    true if this column should be hidden

### isKeyField

    public boolean isKeyField()

  Returns:
    true if this is part of the primary key

### isMvEnabled

    public boolean isMvEnabled()

  Returns:
    true if this column is missing-value enabled

### isNullable

    public boolean isNullable()

  Returns:
    true if this column can accept nulls

### isReadOnly

    public boolean isReadOnly()

  Returns:
    true if this column is read-only

### isUserEditable

    public boolean isUserEditable()

  Returns:
    true if this column may be edited by the current user

### isVersionField

    public boolean isVersionField()

  Returns:
    true if this column is a version column

### isSelectable

    public boolean isSelectable()

  Returns:
    true if this column may be selected

### getCaption

    public java.lang.String getCaption()

  Returns:
    The user-friendly caption for this column (may differ from name)

### getLookup

    public GetQueryDetailsResponse.Lookup getLookup()

### getProperties

    public java.util.Map<java.lang.String,java.lang.Object> getProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD